# YouTube Data API . liveChatBans

## Instance Methods

Removes a chat ban.

Adds a new ban to the chat.

### Method Details

`delete(id)`

    Removes a chat ban.

    Args:
      id: string, The id parameter identifies the chat ban to remove. The value uniquely identifies both the ban and the chat. (required)

`insert(part, body)`

    Adds a new ban to the chat.

    Args:
      part: string, The part parameter serves two purposes in this operation. It identifies the properties that the write operation will set as well as the properties that the API response returns. Set the parameter value to snippet. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # A liveChatBan resource represents a ban for a YouTube live chat.
        "snippet": { # The snippet object contains basic details about the ban.
          "banDurationSeconds": "A String", # The duration of a ban, only filled if the ban has type TEMPORARY.
          "liveChatId": "A String", # The chat this ban is pertinent to.
          "bannedUserDetails": {
            "channelId": "A String", # The YouTube channel ID.
            "displayName": "A String", # The channel's display name.
            "profileImageUrl": "A String", # The channels's avatar URL.
            "channelUrl": "A String", # The channel's URL.
          },
          "type": "A String", # The type of ban.
        },
        "kind": "youtube#liveChatBan", # Identifies what kind of resource this is. Value: the fixed string "youtube#liveChatBan".
        "etag": "A String", # Etag of this resource.
        "id": "A String", # The ID that YouTube assigns to uniquely identify the ban.
      }

    Returns:
      An object of the form:

        { # A liveChatBan resource represents a ban for a YouTube live chat.
          "snippet": { # The snippet object contains basic details about the ban.
            "banDurationSeconds": "A String", # The duration of a ban, only filled if the ban has type TEMPORARY.
            "liveChatId": "A String", # The chat this ban is pertinent to.
            "bannedUserDetails": {
              "channelId": "A String", # The YouTube channel ID.
              "displayName": "A String", # The channel's display name.
              "profileImageUrl": "A String", # The channels's avatar URL.
              "channelUrl": "A String", # The channel's URL.
            },
            "type": "A String", # The type of ban.
          },
          "kind": "youtube#liveChatBan", # Identifies what kind of resource this is. Value: the fixed string "youtube#liveChatBan".
          "etag": "A String", # Etag of this resource.
          "id": "A String", # The ID that YouTube assigns to uniquely identify the ban.
        }